Index: main/plugin-core-ui/resources/js/Ametys/form/widget/AbstractDataSource.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/widget/AbstractDataSource.js	(revision 0)
+++ main/plugin-core-ui/resources/js/Ametys/form/widget/AbstractDataSource.js	(revision 0)
@@ -0,0 +1,321 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * Abstract field displaying a combobox allowing to select one of the available data sources. Optionally, 
+ * this field can allow the addition of other data sources. 
+ * You can override #getStore and you must provide a function #creationHandler
+ */
+Ext.define('Ametys.form.widget.AbstractDataSource', {
+    extend: 'Ametys.form.AbstractFieldsWrapper',
+	
+    /**
+     * @cfg {Boolean} [allowPrivate=false] True to also show private data sources
+     */
+	allowPrivate: false,
+	
+    /**
+     * @cfg {Boolean} [allowCreation=false] True to allow the creation of new data sources
+     */
+	allowCreation: false,
+	
+	/**
+	 * @cfg {String} dataSourceType the type of the data source
+	 */
+	/**
+	 * @cfg {Function} creationFunction the function used to add a new data source
+	 */
+	/**
+	 * @cfg {Boolean} [includeDefault=true] include the default data source ?
+	 */
+	includeDefault: true,
+	
+	/**
+	 * @cfg {String} tooltipText the text of the tooltip
+	 */
+	tooltipText: "<i18n:text i18n:key='PLUGINS_CORE_UI_WIDGET_DATASOURCE_BUTTON_DEFAULT_TOOLTIP'/>",
+	
+	/**
+	 * @private
+	 * @property {Ext.data.Store} _store the combo box's store
+	 */
+	/**
+	 * @private
+	 * @property {Ext.data.Record} _selectedRecord the record that is currently selected, null if none.
+	 */
+	/**
+	 * @private
+	 * @property {Ext.data.Store} _store The combobox store
+	 */
+	/**
+	 * @private
+	 * @property {String} _dataSourceToSelect The id of the data source to select 
+	 */
+	
+	initComponent: function()
+	{
+		this.items = [];
+		
+    	this.items[0] = Ext.create('Ext.form.field.ComboBox', 
+    			        {
+	    		  	        flex: 1,
+	    		  	        
+  	    	    		    store: this.getStore(),
+  	    	    		    
+  	    	    		    // FIXME set value => config tool dirty
+	  	    	            autoLoadOnValue: true,
+  	    	    		    
+	  	    	            valueField: 'id',
+  	    	    		    displayField: 'name',
+  	    	    		    
+  	    	    		    listeners: {
+  	    	    		    	select: Ext.bind(this._onSelect, this),
+  	    	    		    	click: {fn: Ext.bind(this._onClick, this), element: 'inputEl'},
+  	    	    		    	scope: this
+  	    	    		    }
+      			        });
+    	
+    	if (this.allowCreation)
+		{
+    		this.items[1] = Ext.create('Ext.button.Button', 
+    						{ 
+				    			width: 20,
+				    			handler: Ext.bind(this.creationHandler, this),
+				    			icon: Ametys.getPluginResourcesPrefix('core-ui') + '/img/datasource/widget_add_16.png',
+				    			tooltip: this.tooltipText
+				    		}); 
+		}
+    	
+    	this.callParent();
+	},
+	
+	constructor: function(config)
+	{
+		this.callParent(arguments);
+		
+		config.allowPrivate = Ext.isBoolean(config.allowPrivate) ? config.allowPrivate : config.allowPrivate == 'true';
+		config.allowCreation = Ext.isBoolean(config.allowCreation) ? config.allowCreation : config.allowCreation == 'true';
+		config.includeDefault = Ext.isBoolean(config.includeDefault) ? config.includeDefault : config.includeDefault == 'true';
+		
+		this._selectedRecord = null;
+		
+		// Bus messages listeners
+		Ametys.message.MessageBus.on(Ametys.message.Message.CREATED, this._onCreated, this);
+		Ametys.message.MessageBus.on(Ametys.message.Message.MODIFIED, this._onModified, this);
+		Ametys.message.MessageBus.on(Ametys.message.Message.DELETED, this._onDeleted, this);
+	},
+	
+	/**
+	 * @private
+	 * Get the underlying combo box
+	 * @return {Ext.form.field.ComboBox} The combobox
+	 */
+	_getCombobox: function()
+	{
+		return this.items.get(0);
+	},
+	
+    setValue: function(value) 
+    {
+    	this._getCombobox().setValue(value ? value : null);
+    },
+
+    getValue: function() 
+    {
+    	return this._getCombobox().getValue();
+    },
+    
+	/**
+	 * Get the store used by the combo box
+	 * @return {Ext.data.Store} the store
+	 */
+	getStore: function()
+	{
+		if (this._store == null)
+		{
+			this._store = Ext.create('Ext.data.Store',
+					{
+				fields: [ 'id', {name: 'name', type: 'string', sortType: Ext.data.SortTypes.asNonAccentedUCString}],
+				
+				proxy: {
+					type: 'ametys',
+					plugin: 'admin',
+					url: 'datasources/get',
+					reader: {
+						type: 'json',
+						rootProperty: 'datasources'
+					}
+				},
+				
+				sorters: 'name',
+				
+				listeners: {
+					beforeload: {fn: this._onBeforeLoad, scope: this}
+				}
+			});
+		}
+		
+		return this._store;
+	},
+	
+	/**
+	 * Handler when the 'Add data source' button is clicked
+	 */
+	creationHandler: function()
+	{
+		throw new Error("The method #creationHandler is not implemented in " + this.self.getName());
+	},
+	
+	/**
+	 * Function invoked right before the store is loaded
+	 * @param {Ext.data.Store} store the store
+	 * @param {Ext.data.operation.Operation} The {@link Ext.data.operation.Operation} object that will be passed to the Proxy to load the Store
+	 */
+	_onBeforeLoad: function(store, operation)
+	{
+		var me = this;
+
+		operation.setParams(Ext.apply(operation.getParams() || {}, {
+			includePrivate: me.allowPrivate,
+			includeDefault: me.includeDefault,
+			type: me.dataSourceType
+		}));
+	},
+	
+	/**
+	 * Function invoked whenever a record is selected
+	 * @param {Ext.form.field.ComboBox} comboBox the combo box
+	 * @param {Ext.data.Record} record the selected record
+	 */
+	_onSelect: function(comboBox, record)
+	{
+		this._selectedRecord = record;
+		this.setValue(record.get('id'));
+	},
+	
+	/**
+	 * @private
+	 * Function invoked when the combo box is clicked
+	 */
+	_onClick: function()
+	{
+		var combo = this._getCombobox();
+		
+		// Do not collapse when the combo box is already expanded
+		if (!combo.readOnly && !combo.disabled && !combo.isExpanded) 
+		{
+			combo.onTriggerClick();
+		}
+	},
+	
+	/**
+	 * Handler function invoked whenever a {@link Ametys.message.Message.CREATED}
+	 * message is sent out on the message bus. Add the corresponding record to the grid panel's store.
+	 * @param {Ametys.message.Message} message the message
+	 */
+	_onCreated: function(message)
+	{
+		var me = this;
+		var target = message.getTarget(Ametys.message.MessageTarget.DATASOURCE);
+		if (target)
+		{
+			// load callback in #_selectNewDataSource is not called if the store is reloaded
+			this._store.reload({
+				callback: function() {
+					if (this._dataSourceToSelect != null)
+					{
+						this.setValue(this._dataSourceToSelect);
+						this._dataSourceToSelect = null;
+					}
+				},
+				scope: this
+			});
+		}
+	},
+	
+	/**
+	 * Handler function invoked whenever a {@link Ametys.message.Message.MODIFIED}
+	 * message is sent out on the message bus. Add the corresponding record to the grid panel's store.
+	 * @param {Ametys.message.Message} message the message
+	 */
+	_onModified: function(message)
+	{
+		var target = message.getTarget(Ametys.message.MessageTarget.DATASOURCE);
+		if (target)
+		{
+			var id = target.getParameters().id;
+			if (this._selectedRecord && this._selectedRecord.get('id') == id)
+			{
+				this._store.load({
+					callback: function() {
+						var record = this._store.getById(id);
+						this.setValue(record.get('name'));
+					},
+					scope: this
+				});
+			}
+			else
+			{
+				this._store.reload();
+			}
+		}
+	},
+	
+	/**
+	 * Handler function invoked whenever a {@link Ametys.message.Message.CREATED}
+	 * message is sent out on the message bus. Add the corresponding record to the grid panel's store.
+	 * @param {Ametys.message.Message} message the message
+	 */
+	_onDeleted: function(message)
+	{
+		var target = message.getTarget(Ametys.message.MessageTarget.DATASOURCE);
+		if (target)
+		{
+			var id = target.getParameters().id;
+			if (this._selectedRecord && this._selectedRecord.get('id') == id)
+			{
+				this._store.load({
+					callback: function() {
+						this._getCombobox().setValue(null);
+					},
+					scope: this
+				});
+			}
+			else
+			{
+				this._store.reload();
+			}
+		}
+	},
+	
+	/**
+	 * Select the created data source in the combo box
+	 * @param {String} id the id of the new data source
+	 */
+	_selectNewDataSource: function(id)
+	{
+		var me = this;
+		
+		if (this._store.getById(id) != null)
+		{
+			this.setValue(id);
+		}
+		else
+		{
+			this._dataSourceToSelect = id;
+		}
+	}
+});
Index: main/plugin-core-ui/resources/js/Ametys/form/widget/LDAPDataSource.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/widget/LDAPDataSource.js	(revision 0)
+++ main/plugin-core-ui/resources/js/Ametys/form/widget/LDAPDataSource.js	(revision 0)
@@ -0,0 +1,33 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * Field displaying a combobox allowing to select one of the available LDAP data sources. Optionally, 
+ * this field can allow the addition of other LDAP data sources. 
+ */
+Ext.define('Ametys.form.widget.LDAPDataSource', {
+	extend: 'Ametys.form.widget.AbstractDataSource',
+    alias: ['widget.datasource-ldap'],
+	
+    dataSourceType: 'LDAP',
+	tooltipText: "<i18n:text i18n:key='PLUGINS_CORE_UI_WIDGET_LDAP_DATASOURCE_BUTTON_TOOLTIP'/>",
+	
+	creationHandler: function()
+	{
+		this._addingDataSource = true;
+		Ametys.plugins.admin.datasource.EditLDAPDataSourceHelper.add(Ext.bind(this._selectNewDataSource, this));
+	}
+});
Index: main/plugin-core-ui/resources/js/Ametys/form/widget/SQLDataSource.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/widget/SQLDataSource.js	(revision 0)
+++ main/plugin-core-ui/resources/js/Ametys/form/widget/SQLDataSource.js	(revision 0)
@@ -0,0 +1,32 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * Field displaying a combobox allowing to select one of the available SQL data sources. Optionally, 
+ * this field can allow the addition of other SQL data sources. 
+ */
+Ext.define('Ametys.form.widget.SQLDataSource', {
+    extend: 'Ametys.form.widget.AbstractDataSource',
+    alias: ['widget.datasource-sql'],
+	
+    dataSourceType: 'SQL',
+	tooltipText: "<i18n:text i18n:key='PLUGINS_CORE_UI_WIDGET_SQL_DATASOURCE_BUTTON_TOOLTIP'/>",
+
+	creationHandler: function()
+	{
+		Ametys.plugins.admin.datasource.EditSQLDataSourceHelper.add(Ext.bind(this._selectNewDataSource, this));
+	}
+});
Index: test/src/org/ametys/runtime/test/AbstractJDBCTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/AbstractJDBCTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/AbstractJDBCTestCase.java	(working copy)
@@ -21,12 +21,14 @@
 import java.util.List;
 
 import org.ametys.core.datasource.ConnectionHelper;
+import org.ametys.runtime.config.Config;
 
 /**
  * Abstract test case for jdbc Runtime test cases.
  */
 public abstract class AbstractJDBCTestCase extends AbstractRuntimeTestCase
 {
+
     /**
      * Reset the database and insert the scripts. Needs the Init class.
      * @param scripts A list of script to play on db. Scripts should reset tables.
@@ -34,20 +36,13 @@
      */
     protected void _setDatabase(List<File> scripts) throws Exception
     {
-        Connection connection = null;
-        
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId))
         {
-            connection = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
-            
             for (File script : scripts)
             {
                 ScriptRunner.runScript(connection, new FileInputStream(script));
             }
         }
-        finally
-        {
-            ConnectionHelper.cleanup(connection);
-        }
     }
 }
Index: test/src/org/ametys/runtime/test/AmetysHomeTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/AmetysHomeTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/AmetysHomeTestCase.java	(working copy)
@@ -45,7 +45,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp1");
+        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp1");
         super.setUp();
     }
     
Index: test/src/org/ametys/runtime/test/RuntimeConfigTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/RuntimeConfigTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/RuntimeConfigTestCase.java	(working copy)
@@ -83,7 +83,7 @@
      */
     public void testVersion() throws Exception
     {
-        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp1");
+        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp1");
         
         XPathProcessor xpath = (XPathProcessor) Init.getPluginServiceManager().lookup(XPathProcessor.ROLE);
         assertEquals("2.0.1", xpath.evaluateAsString(AmetysXSLTHelper.versions(), "Component[Name='Application']/Version"));
Index: test/src/org/ametys/runtime/test/WorkspacesTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/WorkspacesTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/WorkspacesTestCase.java	(working copy)
@@ -28,7 +28,7 @@
      */
     public void testValidWorkspace() throws Exception
     {
-        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp2");
+        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp2");
         
         assertTrue(WorkspaceManager.getInstance().getWorkspaceNames().contains("admin"));
         
@@ -53,7 +53,7 @@
         
         try
         {
-            cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp3");
+            cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp3");
             fail("WorskpaceManager must have failed");
         }
         catch (IllegalArgumentException e)
Index: test/src/org/ametys/runtime/test/groups/jdbc/AbstractJdbcGroupsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/groups/jdbc/AbstractJdbcGroupsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/groups/jdbc/AbstractJdbcGroupsTestCase.java	(working copy)
@@ -37,6 +37,7 @@
 import org.ametys.core.group.InvalidModificationException;
 import org.ametys.core.group.ModifiableGroupsManager;
 import org.ametys.plugins.core.impl.group.jdbc.ModifiableJdbcGroupsManager;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.test.AbstractJDBCTestCase;
 import org.ametys.runtime.test.Init;
 
@@ -64,11 +65,12 @@
      * Reset the db
      * @param runtimeFilename The file name in runtimes env dir
      * @param configFileName The file name in config env dir
+     * @param sqlDataSourceFileName The file name in config env dir
      * @throws Exception if an error occurs
      */
-    protected void _resetDB(String runtimeFilename, String configFileName) throws Exception
+    protected void _resetDB(String runtimeFilename, String configFileName, String sqlDataSourceFileName) throws Exception
     {
-        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/webapp1");
+        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/configs/" + sqlDataSourceFileName, null, "test/environments/webapp1");
         
         _setDatabase(Arrays.asList(getScripts()));
 
@@ -231,13 +233,12 @@
     {
         List<String> result = new ArrayList<>();
 
-        Connection connection = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
         
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
             stmt = connection.prepareStatement("SELECT Id FROM Groups order by Id");
             
             rs = stmt.executeQuery();
@@ -250,7 +251,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
         
         return result;
Index: test/src/org/ametys/runtime/test/groups/jdbc/DerbyJdbcGroupsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/groups/jdbc/DerbyJdbcGroupsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/groups/jdbc/DerbyJdbcGroupsTestCase.java	(working copy)
@@ -27,7 +27,7 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        _resetDB("runtime4.xml", "config_derby.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-derby.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/groups/jdbc/HsqlJdbcGroupsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/groups/jdbc/HsqlJdbcGroupsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/groups/jdbc/HsqlJdbcGroupsTestCase.java	(working copy)
@@ -27,7 +27,7 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        _resetDB("runtime4.xml", "config_hsqldb.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-hsql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/groups/jdbc/MysqlJdbcGroupsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/groups/jdbc/MysqlJdbcGroupsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/groups/jdbc/MysqlJdbcGroupsTestCase.java	(working copy)
@@ -27,7 +27,7 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        _resetDB("runtime4.xml", "config1.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-mysql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/groups/jdbc/OracleJdbcGroupsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/groups/jdbc/OracleJdbcGroupsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/groups/jdbc/OracleJdbcGroupsTestCase.java	(working copy)
@@ -27,7 +27,7 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        _resetDB("runtime4.xml", "config_oracle.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-oracle.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/groups/jdbc/PostgresJdbcGroupsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/groups/jdbc/PostgresJdbcGroupsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/groups/jdbc/PostgresJdbcGroupsTestCase.java	(working copy)
@@ -27,7 +27,7 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        _resetDB("runtime4.xml", "config_postgres.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-postgresql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/groups/ldap/GroupDrivenLdapGroupsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/groups/ldap/GroupDrivenLdapGroupsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/groups/ldap/GroupDrivenLdapGroupsTestCase.java	(working copy)
@@ -30,7 +30,8 @@
     {
         super.setUp();
         
-        _startApplication("test/environments/runtimes/runtime8.xml", "test/environments/configs/config3.xml", "test/environments/webapp1");
+        _startApplication("test/environments/runtimes/runtime8.xml", "test/environments/configs/config3.xml", null, "test/environments/configs/datasource-ldap.xml", "test/environments/webapp1");
+        
         _groupsManager = (GroupsManager) Init.getPluginServiceManager().lookup(GroupsManager.ROLE);
     }
     
Index: test/src/org/ametys/runtime/test/groups/ldap/UserDrivenLdapGroupsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/groups/ldap/UserDrivenLdapGroupsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/groups/ldap/UserDrivenLdapGroupsTestCase.java	(working copy)
@@ -29,8 +29,8 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        
-        _startApplication("test/environments/runtimes/runtime9.xml", "test/environments/configs/config4.xml", "test/environments/webapp1");
+
+        _startApplication("test/environments/runtimes/runtime9.xml", "test/environments/configs/config4.xml", null, "test/environments/configs/datasource-ldap.xml", "test/environments/webapp1");
         _groupsManager = (GroupsManager) Init.getPluginServiceManager().lookup(GroupsManager.ROLE);
     }
     
Index: test/src/org/ametys/runtime/test/groups/others/EmptyGroupsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/groups/others/EmptyGroupsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/groups/others/EmptyGroupsTestCase.java	(working copy)
@@ -37,7 +37,7 @@
      */
     public void testEmpty() throws Exception
     {
-        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp1");
+        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp1");
         
         GroupsManager groupsManager = (GroupsManager) Init.getPluginServiceManager().lookup(GroupsManager.ROLE);
         
Index: test/src/org/ametys/runtime/test/plugins/PluginsTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/plugins/PluginsTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/plugins/PluginsTestCase.java	(working copy)
@@ -37,7 +37,7 @@
      */
     public void testInit() throws Exception
     {
-        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp1");
+        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp1");
         
         assertTrue(Init.isOk());
         
@@ -50,7 +50,7 @@
      */
     public void testLocation() throws Exception
     {
-        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime02.xml", "test/environments/configs/config1.xml", "test/environments/webapp1");
+        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime02.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp1");
         
         assertTrue(PluginsManager.getInstance().getPluginNames().contains("test"));
         assertEquals("location1", PluginsManager.getInstance().getPluginLocation("test").getParentFile().getName());
@@ -64,7 +64,7 @@
      */
     public void testExtensionPoint() throws Exception
     {
-        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime11.xml", "test/environments/configs/config1.xml", "test/environments/webapp1");
+        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime11.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp1");
         
         assertTrue(PluginsManager.getInstance().getPluginNames().contains("test"));
 
@@ -99,7 +99,7 @@
      */
     public void testFeatures() throws Exception
     {
-        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime12.xml", "test/environments/configs/config1.xml", "test/environments/webapp1");
+        CocoonWrapper cocoon = _startApplication("test/environments/runtimes/runtime12.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp1");
         
         Map<String, Feature> activeFeatures = PluginsManager.getInstance().getFeatures();
         Map<String, InactivityCause> inactiveFeatures = PluginsManager.getInstance().getInactiveFeatures();
Index: test/src/org/ametys/runtime/test/rights/basic/BasicRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/basic/BasicRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/basic/BasicRightsManagerTestCase.java	(working copy)
@@ -33,9 +33,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _startApplication("test/environments/runtimes/runtime12.xml", "test/environments/configs/config1.xml", "test/environments/webapp1");
+        _startApplication("test/environments/runtimes/runtime12.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp1");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/rights/profile/AbstractProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/AbstractProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/AbstractProfileBasedRightsManagerTestCase.java	(working copy)
@@ -52,11 +52,14 @@
      * Reset the db
      * @param runtimeFilename The file name in runtimes env dir
      * @param configFileName The file name in config env dir
+     * @param sqlDataSourceFileName The file name in config env dir
      * @throws Exception if an error occurs
      */
-    protected void _resetDB(String runtimeFilename, String configFileName) throws Exception
+    protected void _resetDB(String runtimeFilename, String configFileName, String sqlDataSourceFileName) throws Exception
     {
-        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/webapp1");
+        super.setUp();
+        
+        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/configs/" + sqlDataSourceFileName, null, "test/environments/webapp1");
 
         _setDatabase(Arrays.asList(getScripts()));
 
Index: test/src/org/ametys/runtime/test/rights/profile/DerbyProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/DerbyProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/DerbyProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime4.xml", "config_derby.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-derby.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/rights/profile/HsqlProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/HsqlProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/HsqlProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime4.xml", "config_hsqldb.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-hsql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/rights/profile/MysqlProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/MysqlProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/MysqlProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime4.xml", "config1.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-mysql.xml");
     }
     
     @Override
